Skip to main content
POST
/
api
/
v3
/
leaveRequests
/
{id}
/
approvals
Approve or deny a leave request
curl --request POST \
  --url https://{host}/api/v3/leaveRequests/{id}/approvals \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "approved": false,
  "comment": "your presence is required at the working meeting"
}
'
import requests

url = "https://{host}/api/v3/leaveRequests/{id}/approvals"

payload = {
"approved": False,
"comment": "your presence is required at the working meeting"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({approved: false, comment: 'your presence is required at the working meeting'})
};

fetch('https://{host}/api/v3/leaveRequests/{id}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Status": 401,
  "Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
string
required

ID of the leave-request.

Body

application/json
approved
boolean
comment
null | string

Response

OK